GNU bug report logs - #15277
Missing quotes for $progpath in libtool

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Andreas Schiffler <aschiffler@HIDDEN>; dated Thu, 5 Sep 2013 16:01:01 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Sep 2013 16:00:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 12:00:53 2013
Received: from localhost ([127.0.0.1]:42060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHbzI-0003xW-Ok
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 12:00:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59963)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <aschiffler@HIDDEN>) id 1VHbyF-0003u7-CP
 for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 11:59:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aschiffler@HIDDEN>) id 1VHby3-0001TY-57
 for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 11:59:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39481)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aschiffler@HIDDEN>) id 1VHby3-0001TT-1R
 for submit <at> debbugs.gnu.org; Thu, 05 Sep 2013 11:59:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33422)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aschiffler@HIDDEN>) id 1VHbxw-0001PC-W3
 for bug-libtool@HIDDEN; Thu, 05 Sep 2013 11:59:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aschiffler@HIDDEN>) id 1VHbxq-0001Rv-VW
 for bug-libtool@HIDDEN; Thu, 05 Sep 2013 11:59:28 -0400
Received: from ferzkopp.net ([188.40.54.115]:38555 helo=jupiter.ferzkopp.net)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aschiffler@HIDDEN>) id 1VHbxq-0001Rj-P6
 for bug-libtool@HIDDEN; Thu, 05 Sep 2013 11:59:22 -0400
Received: from localhost (localhost [127.0.0.1])
 by jupiter.ferzkopp.net (Postfix) with ESMTP id 070E9988069
 for <bug-libtool@HIDDEN>; Thu,  5 Sep 2013 17:59:21 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at ferzkopp.net
Received: from jupiter.ferzkopp.net ([127.0.0.1])
 by localhost (jupiter.115.54.40.188.clients.your-server.de [127.0.0.1])
 (amavisd-new, port 10024)
 with ESMTP id mxKGb34YTB2a for <bug-libtool@HIDDEN>;
 Thu,  5 Sep 2013 17:59:13 +0200 (CEST)
Received: from [192.168.0.200] (c-50-135-251-63.hsd1.wa.comcast.net
 [50.135.251.63]) (Authenticated sender: aschiffler@HIDDEN)
 by jupiter.ferzkopp.net (Postfix) with ESMTPSA id 7D4FC98805E
 for <bug-libtool@HIDDEN>; Thu,  5 Sep 2013 17:59:13 +0200 (CEST)
Message-ID: <5228AA4D.9030003@HIDDEN>
Date: Thu, 05 Sep 2013 08:59:09 -0700
From: Andreas Schiffler <aschiffler@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
 rv:17.0) Gecko/20130801 Thunderbird/17.0.8
MIME-Version: 1.0
To: bug-libtool@HIDDEN
Subject: Missing quotes for $progpath in libtool
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 05 Sep 2013 12:00:51 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)


When using libtool (ver 2.4.1)  on cygwin (x86) and some source code is 
compiled from a directory path that has a space in it, "make install" 
will fail.

The repro is a documented in this bug (compile SDL using cygwin in from 
the Desktop of a user with the account name "First Last"):
https://bugzilla.libsdl.org/show_bug.cgi?id=1575

The fix attached to the bug indicate the necessary quoting that need to 
be added:

$ diff libtool libtool-fixed
2797c2797
<       exec_cmd='$SHELL $progpath $preserve_args --finish$current_libdirs'
---
>       exec_cmd='$SHELL "$progpath" $preserve_args --finish$current_libdirs'
8321c8321
<       if test "X$ECHO" = "X$SHELL $progpath --fallback-echo"; then
---
>       if test "X$ECHO" = "X$SHELL \"$progpath\" --fallback-echo"; then
8323,8324c8323,8324
<       [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL $progpath --fallback-echo";;
<       *) qecho="$SHELL `pwd`/$progpath --fallback-echo";;
---
>       [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL \"$progpath\" --fallback-echo";;
>       *) qecho="$SHELL `pwd`/\"$progpath\" --fallback-echo";;
8559c8559
<       relink_command="(cd `pwd`; $SHELL $progpath $preserve_args --mode=relink $libtool_args @inst_prefix_dir@)"
---
>       relink_command="(cd `pwd`; $SHELL \"$progpath\" $preserve_args --mode=relink $libtool_args @inst_prefix_dir@)"


The latest stable version 2.4.2 does not seem to have this fixed yet .
Andreas Schiffler@BLACKBOX /cygdrive/i/Sources/libtool-2.4.2
$ grep -r progpath * | grep relink_command
libltdl/config/ltmain.m4sh:      relink_command="(cd `pwd`; $SHELL 
$progpath $preserve_args --mode=relink $libtool_args @inst_prefix_dir@)"
libltdl/config/ltmain.sh:      relink_command="(cd `pwd`; $SHELL 
$progpath $preserve_args --mode=relink $libtool_args @inst_prefix_dir@)"

Thanks,
Andreas






Acknowledgement sent to Andreas Schiffler <aschiffler@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#15277; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.